User

The user represents a signed up and registered user in the Arratech Solution. The user has accepted Arratech's terms and conditions.

Endpoints

For information only. Full, normative endpoint definitions in the Swagger documentation.

EndpointDescriptionRole
GET /users/meGet me, ie. the user corresponding to the authentication tokenuser
PUT /users/:uidUpdate details for user uid (uid must correspond to calling user's uid)user
POST /users/batch-deleteDelete one or more userssuperadmin
POST /users/:uid/join_orgCreates a request to the organisation admins to add the user with id uid to this organisation. user
POST /users/:uid/leave_orgRemove user {uid} from an organization. Contrary to joining an organisation, leaving is a direct operation not requiring any approval.user

Example User datatype

{
  "id": "43e4f8c2-6051-7002-f373-0d3bdb236729",
  "name": "Milla Beco",
  "email": "milla.beco@example.com",
  "phone": "+33 1 23 45 67 89",
  "countryCode": "FR",
  "optedInToReceiveInfo": true,
  "role": "user",
  "createdBy": {
    "userId": "7374a832-e041-7016-4482-e857ca1b5e36"
  },
  "createdAt": "2025-04-24T12:15:48.503Z",
  "lastModifiedAt": "2025-10-08T14:24:50.607Z",
  "lastModifiedBy": {
    "userId": "7374a832-e041-7016-4482-e857ca1b5e36"
  },
  "memberships": [
    {
      "orgId": "6e1110ca-5110-46c9-a923-31bd62c51c1c",
      "role": "orgadmin",
      "legalName": "Langosh - Stehr",
      "legalIdentifier": "6381974876446055",
      "memberSince": "2025-05-11T10:12:26.398Z",
      "memberRef": "ea2d4711-da1c-4ada-b52a-75a06f51d04b"
    },
    {
      "orgId": "83229919-c99f-4c67-b90a-147649b6e89e",
      "role": "orgmember",
      "legalName": "Shields, Kunze and Fay",
      "legalIdentifier": "6388103172212518",
      "memberSince": "2025-05-13T06:58:38.493Z",
      "memberRef": "ec072d40-1972-4d44-995d-5b360137cefa"
    }
  ]
}